Name: hotplug
Version: 2002_08_26
Release: alt5

Summary: A helper application for loading modules for USB devices
Group: System/Configuration/Hardware

License: GPL
Url: http://linux-hotplug.sourceforge.net/

# Generated from cvs.
Source0: %name-%version.tar.bz2
Source1: http://www.linuxalpha.compaq.com/pcihpd/files/cpqphpd_gui-0.1.2.tar.bz2
Source2: http://www.linuxalpha.compaq.com/pcihpd/files/hpioctl.tar.bz2
Source3: cpqphpd_ioctl.h
Source4: hotplug-modutils

# We don't want hotplug to initialize the USB core modules, but we
# want to synthesize boot events
Patch0: hotplug-2001_04_24-nousbinit.patch

# install only interesting files
Patch2: hotplug-2001_06_12-makefile.patch
Patch3: hotplug-2001_06_12-wacom.patch
Patch5: hotplug-2001_06_12-lspci.patch

# Add support for wireless devices
Patch6: hotplug-2001_09_19-wireless2.patch

# Run updfstab on some add and remove events
Patch7: hotplug-2001_04_24-updfstab.patch

# Don't ifup interfaces if the network subsystem isn't up
Patch8: hotplug-2001_04_24-networkdown.patch

# /etc/hotplug/usb.agent uses -ge instead of -gt when comparing device numbers
Patch9: hotplug-2002_01_14-ifup-fix.patch

Patch10: hotplug-2002_01_14-no-usbmodules.patch

Patch11: hotplug-2002_04_01-joydev.patch

Patch12: hotplug-2002_04_01-tunl.patch

Patch13: hotplug-2002_04_01-wacom.patch

Patch14: hotplug-2002_08_26-alt-updatefstab.patch 
Patch15: hotplug-2002_08_26-wireless.patch
Patch16: hotplug-2002_08_26-ieee1394.patch

PreReq: chkconfig
Obsoletes: usbd
Provides: usbd
PreReq: modutils >= 2.4.25-alt3 pcmcia-cs

# Automatically added by buildreq on Wed Apr 10 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel xpm-devel

%description
This package contains the scripts necessary for hotplug Linux support,
and lets you plug in new devices and use them immediately.
Initially, it includes support for USB and PCI (Cardbus) devices,
and can automatically configure network interfaces.

%package gtk
Summary: GTK control interface for Hotplug PCI
Group: System/Configuration/Hardware

%description gtk
This is the GTK interface for the Compaq PCI hotplug controller

%prep
%setup -q -a1 -a2

%patch0 -p1 -b .nousbinit
%patch2 -p1 -b .makefile
%patch3 -p1 -b .wacom
%patch5 -p1 -b .lspci
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1 

%build
%make_build CFLAGS="%optflags"

pushd cpqphpd_gui
%configure
%make_build
pushd ../usr/src/hpioctl
cp -fv %SOURCE3  .
%make_build
popd
popd

%install
make prefix=$RPM_BUILD_ROOT install

# hotplug PCI program
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/modutils.d
install -m 644 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/modutils.d/%name

cp usr/src/hpioctl/iotest $RPM_BUILD_ROOT/usr/sbin/hotplugctl

pushd cpqphpd_gui
make DESTDIR=$RPM_BUILD_ROOT install
popd

# update-usb.usermap
install -d $RPM_BUILD_ROOT%_libdir/hotplug
install -p -m755 debian/update-usb.usermap $RPM_BUILD_ROOT%_sbindir
install -d $RPM_BUILD_ROOT%_man8dir
install -m 644 debian/update-usb.usermap.8 $RPM_BUILD_ROOT%_man8dir

%files
%doc README ChangeLog
%config(noreplace) /etc/modutils.d/%name
%config(noreplace) /etc/hotplug/blacklist
%config(noreplace) /etc/hotplug/hotplug.functions
%config(noreplace) /etc/hotplug/ieee1394.agent
%config(noreplace) /etc/hotplug/net.agent
%config(noreplace) /etc/hotplug/pci.agent
%config(noreplace) /etc/hotplug/pci.rc
%config(noreplace) /etc/hotplug/usb.agent
%config(noreplace) /etc/hotplug/usb.distmap
%config(noreplace) /etc/hotplug/usb.handmap
%config(noreplace) /etc/hotplug/usb.rc
%config(noreplace) /etc/hotplug/usb.usermap
/sbin/*
%_sbindir/hotplugctl
%_sbindir/update-usb.usermap
%dir /etc/hotplug
%dir /etc/hotplug/ieee1394
%attr(0755,root,root) /etc/hotplug/ieee1394/sbp2
%dir /var/run/usb
%dir %_libdir/%name
%_mandir/man?/*

%files gtk
/usr/bin/cpqphpgui
%dir /usr/share/pixmaps/cpqphpgui/
/usr/share/pixmaps/cpqphpgui/*.xpm

%changelog
* Thu Oct 16 2003 Rider <rider@altlinux.ru> 2002_08_26-alt5
- added ieee1394 storages support 

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 2002_08_26-alt4
- fixed requires to /etc/pcmcia/wireless

* Mon Sep 29 2003 Rider <rider@altlinux.ru> 2002_08_26-alt3
- install %name config into %_sysconfdir/modutils.d/ for loading sd_mod above usb-storage

* Tue Jul 08 2003 Rider <rider@altlinux.ru> 2002_08_26-alt2
- run updfstab with LANG variable
- run updfstab after remove USB storage device

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 2002_08_26-alt1.1
- Enable Debian's update-usb.usermap utility.
  We'll need it for some printer drivers

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_08_26-alt1
- Rebuilt in new environment
- 2002_08_26
- Added some Mandrake patches

* Tue May 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_04_01-alt2
- Added joydev patch to support some joystics

* Thu Apr 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_04_01-alt1
- 2002-04-01
- Added -gtk subpackage

* Fri Dec 07 2001 Konstantin Volckov <goldhead@altlinux.ru> 2001_09_19-alt2
- Added requires to right modutils

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2001_09_19-alt1
- First build for Sisyphus

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-8mdk
- added ieee1934.agent from cvs (Chmouel)

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-7mdk
- storage handling is handled by dynamic now.

* Thu Sep  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-6mdk
- fix for wacom module load

* Sat Sep  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-5mdk
- updated patch1 for wireless devices
- don't install patch backup files

* Thu Aug 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-4mdk
- Run ifdown on interface unregistration (kill stale DHCP clients)
- own /etc/hotplug

* Wed Jul 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-3mdk
- added a call to updfstab when usb-storage is loaded

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-2mdk
- noreplace /etc/ files.
- Update description.
- ifdown net when unregister net card.

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-1mdk
- First mandrake release (generated from cvs, spec file inspired from rh).

